.form-popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1001;
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    width: 60%;
    max-width: 800px;
    box-sizing: border-box;
    border: 1px solid #ddd;
    color: #333;
}
.form-content {
    display: flex;
    align-items: flex-start;
    gap: 20px;
}
.form-image-container {
    flex: 1;
}
.form-image {
    width: 100%;
    height: auto;
    border-radius: 8px;
}
.form-fields {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.close-button {
    position: absolute;
    top: 20px;
    right: 15px;
    font-size: 24px;
    color: #333;
    cursor: pointer;
}
.open-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 9;
    padding: 10px 20px;
    border: none;
    background-color: #274ece;
    color: #fff;
    border-radius: 50px;
    font-size: 16px;
    cursor: pointer;
    font-weight: bold;
    transition: transform 0.3s ease, background-color 0.3s ease;
}
.open-button:hover {
    transform: scale(1.1);
    background-color: #0033da;
}
form input, form button {
    width: 100%;
    padding: 12px 16px;
    border: 1px solid #ddd;
    border-radius: 50px;
    box-sizing: border-box;
    font-size: 14px;
    font-family: Arial, sans-serif;
}
form input:focus {
    outline: 2px solid #274ece;
    border-color: #274ece;
}
form button {
    background-color: #274ece;
    color: #fff;
    border: none;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
form button:hover {
    background-color: #0033da;
}
.data-usage {
    font-size: 12px;
    color: #666;
    text-align: center;
    margin-top: 10px;
}
@media (max-width: 750px) {
    .form-content {
        flex-direction: column;
        gap: 16px;
    }
    .form-image {
        display: none;
    }
}
@media (max-width: 510px) {
    .form-popup {
        width: 90%;
        padding: 16px;
    }
    form {
        gap: 12px;
    }
}
